> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List usage events

> List Usage Events given a `next` or `previous` cursor and a limit. If cursor is not provided you will get the beginning of the search set



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /rawmetrics
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /rawmetrics:
    get:
      tags:
        - Usage Events
      summary: List usage events
      description: >-
        List Usage Events given a `next` or `previous` cursor and a limit. If
        cursor is not provided you will get the beginning of the search set
      operationId: List-usage-events
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The cursor indicating a unique set of results - this should be
              auto generated and you get it from the `next` and `previous`
              fields of the response
            examples:
              - V2VsbCBhcmV1IGN1cmlvdxM=
            title: Cursor
          description: >-
            The cursor indicating a unique set of results - this should be auto
            generated and you get it from the `next` and `previous` fields of
            the response
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: The number of results to return - defaults to 10
            examples:
              - 10
            title: Limit
          description: The number of results to return - defaults to 10
        - name: order
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            examples:
              - order=created_at
            title: Order
        - name: sort_key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            examples:
              - sort_key=id
            default: created_at
            title: Sort Key
        - name: sort_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            examples:
              - sort_key=asc
            default: DESC
            title: Sort Type
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Id
        - name: id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Id  In
        - name: id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Id  Isnull
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
        - name: name__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name  Ilike
        - name: name__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name  Like
        - name: name__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name  In
        - name: name__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Name  Isnull
        - name: api_slug
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api Slug
        - name: api_slug__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api Slug  Ilike
        - name: api_slug__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api Slug  Like
        - name: api_slug__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api Slug  In
        - name: api_slug__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Api Slug  Isnull
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResults_GetRawMetricResponseSchema_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResults_GetRawMetricResponseSchema_:
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
          description: The cursor for the next page of results
          examples:
            - V2VsbCBhcmV1IGN1cmlvdxM=
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
          description: The cursor for the previous page of results
          examples:
            - GmBsbCBhcmV1IGN1cmlvdxM=
        total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Count
          description: The total count of rows
        results:
          items:
            $ref: '#/components/schemas/GetRawMetricResponseSchema'
          type: array
          title: Results
          description: The results for the current page
      type: object
      required:
        - results
      title: PaginatedResults[GetRawMetricResponseSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GetRawMetricResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: RawMetric Id
        name:
          type: string
          title: Name
          description: name of the raw metric
        api_slug:
          type: string
          title: Api Slug
          description: api slug raw metric name
        dataschema:
          additionalProperties: true
          type: object
          title: Dataschema
          description: Data schema raw metric
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Created_at
        usage_upload_enabled:
          type: boolean
          title: Usage Upload Enabled
          description: Whether S3 usage upload is enabled
          default: false
        s3_path:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Path
          description: Combined S3 bucket and directory path
        error_log_s3_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Log S3 Path
          description: Combined error log S3 bucket and directory path
        allow_partial_upload:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allow Partial Upload
          description: Whether partial upload is allowed
      type: object
      required:
        - id
        - name
        - api_slug
        - dataschema
      title: GetRawMetricResponseSchema
      description: RawMetric Response Schema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````